package com.jy.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.flow.dto.FlowHisTaskDto;
import com.jy.flow.dto.FlowTaskDto;
import com.jy.flow.vo.FlowTaskVo;
import com.warm.flow.orm.entity.FlowHisTask;

public interface ExecuteService {

    /**
     * 分页查询待办任务
     */
    Page<FlowTaskVo> toDoPage(FlowTaskDto dto);

    /**
     * 获取已办任务
     */
    Page<FlowHisTask> donePage(FlowHisTaskDto dto);

    /**
     * 分页抄送任务列表
     */
    Page<FlowHisTask> copyPage(FlowTaskDto dto);

}
